#include <stdio.h>

/**
   This function prints a fail message, waits for an input and
   may terminates the programm.

   @param errmsg a string which contains the error message.

   @param term a integer. The functions calls exit(1) if this value is
   not equal to 0

*/

fail(char *errmsg, int term) {
  printf("%c" \
	 "********** FAIL **********\n" \
	 "%s\n" \
	 "PressENTER to continue...\n", 7, errmsg);
  // wait until ENTER is pressed
  fgets(errmsg, 1, stdin);
  if (term != 0) {
    exit(1);
  }
}
  
